Description

I faced with 2 problems with installing foreman on Debian 9.1 with puppetmaster 5.1.3 (all packages from official repos)

The first problem is located in incorrect template

"/usr/share/foreman-installer/modules/puppet/templates/server/puppetserver/services.d/ca.cfg.erb": there is no requaried string

"puppetlabs.trapperkeeper.services.watcher.filesystem-watch-service/filesystem-watch-service" at the end of file. It causes following

error during running foreman-installer:

java.lang.RuntimeException: Service ':FilesystemWatchService' not found

So I just added necessary line in this template before run foreman-installer.

The second problem is more comlicated. I get following error during installation and cannot solve it:

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[for.localdomain]: Could not evaluate: Prox

y for.localdomain cannot be retrieved: unknown error (response 500)

[2017-10-05 16:20:05]  /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_sm

artproxy/rest_v3.rb:7:in `proxy'

[2017-10-05 16:20:05]  /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_sm

artproxy/rest_v3.rb:13:in `id'

[2017-10-05 16:20:05]  /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_sm

artproxy/rest_v3.rb:17:in `exists?'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/ensure.rb:81:in

 `retrieve'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1070:in `retriev

e'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1098:in `retriev

e_resource'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_har

ness.rb:302:in `from_resource'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_har

ness.rb:20:in `evaluate'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:248:in `a

pply'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:267:in `e

val_resource'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:179:in `c

all'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:179:in `b

lock (2 levels) in evaluate'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:511:in `block in

 thinmark'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:510:in `thinmark

'

[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:179:in `b

lock in evaluate'
[2017-10-05 16:20:05]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph

.rb:121:in `traverse'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:169:in `e

valuate'

[2017-10-05 16:20:06]  /usr/lib/ruby/vendor_ruby/kafo/modules/kafo_configure/lib/puppet/parser/fun

ctions/add_progress.rb:30:in `evaluate_with_trigger'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:225:

in `block in apply'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:155:in `with

_destination'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:14

0:in `as_logging_destination'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:224:

in `apply'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:172:in `bl

ock in apply_catalog'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:224:in `block in

 benchmark'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223:in `benchmar

k'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:171:in `ap

ply_catalog'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:344:in `ru

n_internal'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:222:in `bl

ock in run'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `overri

de'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:264:in `override'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:196:in `ru

n'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:356

:in `apply_catalog'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280

:in `block (2 levels) in main'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `overri

de'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:264:in `override'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280

:in `block in main'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `overri

de'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:264:in `override'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:233

:in `main'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:174

:in `run_command'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:358:in `b

lock in run'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:666:in `exit_on_

fail'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:358:in `r

un'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:132

:in `run'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:72:

in `execute'

[2017-10-05 16:20:06]  /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

[2017-10-05 16:20:06]   /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[for.localdomain]: 

Failed to call refresh: Proxy for.localdomain cannot be retrieved: unknown error (response 500)

[2017-10-05 16:20:08]   /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[for.localdomain]: 

Proxy for.localdomain cannot be retrieved: unknown error (response 500)

[2017-10-05 16:20:08]  /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_sm

artproxy/rest_v3.rb:7:in `proxy'

[2017-10-05 16:20:08]  /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_sm

artproxy/rest_v3.rb:13:in `id'
[2017-10-05 16:20:08]  /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_sm

artproxy/rest_v3.rb:17:in `exists?'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/ensure.rb:81:in

 `retrieve'

[2017-10-05 16:20:08]  /usr/share/foreman-installer/modules/foreman/lib/puppet/type/foreman_smartp

roxy.rb:72:in `refresh'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/event_manage

r.rb:147:in `process_callback'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/event_manage

r.rb:34:in `block in process_events'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/event_manage

r.rb:119:in `block in queued_events'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/event_manage

r.rb:118:in `each'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/event_manage

r.rb:118:in `queued_events'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/event_manage

r.rb:33:in `process_events'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:268:in `e

val_resource'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:179:in `c

all'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:179:in `b

lock (2 levels) in evaluate'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:511:in `block in

 thinmark'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:510:in `thinmark

'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:179:in `b

lock in evaluate'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph

.rb:121:in `traverse'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:169:in `e

valuate'

[2017-10-05 16:20:08]  /usr/lib/ruby/vendor_ruby/kafo/modules/kafo_configure/lib/puppet/parser/fun

ctions/add_progress.rb:30:in `evaluate_with_trigger'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:225:

in `block in apply'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:155:in `with

_destination'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:14

0:in `as_logging_destination'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:224:

in `apply'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:172:in `bl

ock in apply_catalog'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:224:in `block in

 benchmark'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223:in `benchmar

k'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:171:in `ap

ply_catalog'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:344:in `ru

n_internal'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:222:in `bl

ock in run'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `overri

de'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:264:in `override'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:196:in `ru

n'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:356

:in `apply_catalog'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280

:in `block (2 levels) in main'
[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `overri

de'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:264:in `override'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280

:in `block in main'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `overri

de'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:264:in `override'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:233

:in `main'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:174

:in `run_command'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:358:in `b

lock in run'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:666:in `exit_on_

fail'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:358:in `r

un'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:132

:in `run'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:72:

in `execute'

[2017-10-05 16:20:08]  /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

[2017-10-05 16:20:08]  Installing             Datacat_fragment[foreman_proxy::enabled_features:: [

99%] [............................................................................... ]Installing 

            Datacat_fragment[foreman_proxy::enabled_features:: [99%] [............................

................................................... ]Installing             Done                  

                             [100%] [.............................................................

..................]Installing             Done                                               [100%

] [...............................................................................]

[2017-10-05 16:20:12]    Something went wrong! Check the log for ERROR-level output

[2017-10-05 16:20:12]    * Foreman is running at https://for.localdomain

[2017-10-05 16:20:12]        Initial credentials are admin / 7z3q8Et6P79re7VV

[2017-10-05 16:20:12]    * Foreman Proxy is running at https://for.localdomain:8443

[2017-10-05 16:20:12]    * Puppetmaster is running at port 8140

[2017-10-05 16:20:12]    The full log is at /var/log/foreman-installer/foreman.log

History

#1 - 10/05/2017 11:25 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information

The first issue should be fixed in RC2 by pulling in theforeman-puppet 8.0.3 which adds compatibility with puppetserver 5.1.

For the second issue we need the know why a HTTP 500 was returned. That should be in /var/log/foreman/production.log.

#2 - 10/05/2017 11:58 AM - Al Man

- File foreman-logs.tar.gz added

Ewoud Kohl van Wijngaarden wrote:

The first issue should be fixed in RC2 by pulling in theforeman-puppet 8.0.3 which adds compatibility with puppetserver 5.1.

For the second issue we need the know why a HTTP 500 was returned. That should be in /var/log/foreman/production.log.

 I can't see any useful information in the logs, but I've attached them.

#3 - 10/06/2017 12:38 PM - Ewoud Kohl van Wijngaarden

I would have expected a request in production.log. Can you see if you hit the correct (v)host when you manually do the HTTP request?

#4 - 10/09/2017 03:36 AM - Al Man

- File foreman-error.JPG added

- File error.log added
What do you mean?

When I go to main web-page of foreman I get following error (see screenshot)

Also I'm attaching apache2 error log

#5 - 10/09/2017 06:52 AM - Ewoud Kohl van Wijngaarden

I expected those errors in production.log, not the apache error log. This is the output we need.

#6 - 10/09/2017 07:00 AM - Ivan Necas

I've seen the issue with "dynflow_schema_info" issue some (quite long) time ago, but was never able to reproduce locally/find what the cause for this

actually is. Running foreman-rake db:migrate and foreman-rake db:seed might be helpful. If it doesn't help, since it seems like a fresh install, dropping

all dynlfow_* tables, followed by foreman-rake db:migrate and foreman-rake db:seed might be also worth trying. But as I said, the problem with this

issue is the finding a reproducer.

#7 - 10/09/2017 07:55 AM - Al Man

- File output.txt added

Ivan Necas wrote:

I've seen the issue with "dynflow_schema_info" issue some (quite long) time ago, but was never able to reproduce locally/find what the cause for

this actually is. Running foreman-rake db:migrate and foreman-rake db:seed might be helpful. If it doesn't help, since it seems like a fresh install,

dropping all dynlfow_* tables, followed by foreman-rake db:migrate and foreman-rake db:seed might be also worth trying. But as I said, the

problem with this issue is the finding a reproducer.

 These commands didn't help me (even after dropping tables). The full output in attachment.

#8 - 11/03/2017 08:29 AM - Al Man

Any updates for this issue?

#9 - 11/03/2017 09:42 AM - Anonymous

Any updates for this issue?

 Which one?

The puppetserver issue should be gone with 1.16RC2, you might need to reset some parameters, see 

http://projects.theforeman.org/projects/foreman/wiki/Upgrading_from_Puppet_4_to_5#Prepare-And-Run-The-Installer

The dynflow issue is completely unrelated.

#10 - 12/01/2017 02:58 AM - Anonymous

- Status changed from Need more information to Feedback

Files

foreman-logs.tar.gz 127 KB 10/05/2017 Al Man

foreman-error.JPG 66.7 KB 10/09/2017 Al Man

error.log 90.6 KB 10/09/2017 Al Man

output.txt 40.2 KB 10/09/2017 Al Man
